Issue 120586 - [From Symphony] optimize 'updaterowheights' in loading procedure to improve xls loading performance.
[From Symphony] optimize 'updaterowheights' in loading procedure to improve x...
Status: RESOLVED FIXED
Product: performance
Classification: Code
Component: code
AOO 3.4.0
All All
: P3 normal (vote)
: AOO 4.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 02:17 UTC by lizh.fee
Modified: 2013-02-16 09:23 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
patch to improve xls loading performance (3.24 KB, patch)
2012-08-23 06:33 UTC, lizh.fee
lizh.fee: review?
Details | Diff
sample (108.00 KB, application/vnd.ms-excel)
2012-08-23 06:36 UTC, lizh.fee
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description lizh.fee 2012-08-16 02:17:24 UTC
In filter process, record which sheet will contain sdrobject, then only do 'updaterowheights' for visible sheet and sheet containing sdrobject.
Comment 1 lizh.fee 2012-08-16 08:14:40 UTC
This patch is only for optimizing excel8 type. 
In filter process, just update row heights for : 1. visible sheet, 2. sheet containing sdrobject.

following is test result for sample file sc_complex_13sh_4kcell.xls(manual test), about 20% improvement. 
old: 3.90 3.93 3.78 3.75 3.75 3.85 3.84 3.87 4.00 4.00    avg:3.87
new: 3.03 3.03 3.06 3.03 3.06 3.09 3.06 3.12 3.09 3.15	  avg:3.07
Comment 2 lizh.fee 2012-08-23 06:33:05 UTC
Created attachment 79080 [details]
patch to improve xls loading performance
Comment 3 lizh.fee 2012-08-23 06:36:09 UTC
Created attachment 79081 [details]
sample
Comment 4 SVN Robot 2012-09-14 09:46:21 UTC
"leiw" committed SVN revision 1384699 into trunk:
#i120586 optimize 'updaterowheights' in loading procedure to improve xls load...
Comment 5 Wang Lei 2012-09-14 09:48:52 UTC
Submit in revision 1384699